* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: "Nunito Sans", Arial, sans-serif;
  font-size: 16px;
  line-height: 1.5;
  font-weight: 400;
  color: #222;
  background-color: #fff;
}

header {
  background: #fff;
}

nav {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  padding: 24px 16px;
  max-width: 1200px;
  margin: auto;
}

.hero-section,
.services-section,
.about-section {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 32px;
  padding: 48px 16px;
  max-width: 1200px;
  margin: auto;
}

.services-hero-section {
  flex-direction: column-reverse;
}

.services-section {
  flex-direction: column;
}

.client-section,
.contact-section {
  padding: 48px 16px;
  background-color: #f7f7f7;
}

.contact-section {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 32px;
}

.client-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 32px;
  max-width: 1200px;
  margin: auto;
}

footer {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 32px;
  padding: 24px 16px;
  max-width: 1200px;
  margin: auto;
}
@media (min-width: 768px) {
  footer {
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }
}

h1 {
  font-size: 2.5rem;
  color: #222;
  font-weight: 700;
}
h2 {
  font-size: 2rem;
  color: #222;
  font-weight: 700;
}
h1::after,
h2::after {
  content: "";
  position: relative;
  height: 5px;
  width: 50px;
  margin-top: 0.75rem;
  background-color: rgb(255, 103, 0);
  display: block;
  border-radius: 2px;
}
h3 {
  font-size: 1.5rem;
  color: #222;
  font-weight: 700;
}

p {
  font-size: 1rem;
  color: #666;
}

a.btn {
  display: inline-block;
  background-color: #3545ee;
  color: #fff;
  padding: 8px 12px;
  border-radius: 4px;
  text-decoration: none;
}

a.btn-small {
  font-size: 1rem;
  padding: 4px 8px;
  font-weight: 400;
  background-color: #f7f7f7;
  color: #666;
  border: 1px solid #666;
}

a.btn:hover {
  background-color: #2a37be;
}

a.btn-small:hover {
  background-color: #f7f7f7;
  color: #222;
  border-color: #222;
}

.services-ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

.services-ul-grid {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 16px;
}

.services-li-grid-item {
  display: flex;
  flex-direction: column;
  gap: 16px;
  background-color: #f7f7f7;
  padding: 16px;
  border-radius: 4px;
}

.end-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  gap: 16px;
  padding-top: 8px;
  margin-top: auto;
  align-self: flex-end;
  font-weight: bold;
  font-size: 1.1rem;
}

.services-li {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
}

/* HEADER NAVIGATION */
.logo-link {
  display: flex;
  align-items: center;
  gap: 8px;
  text-decoration: none;
  color: #666;
}
.logo-link:hover {
  color: #222;
}
.logo-link img {
  width: 24px;
}

.nav-links {
  display: flex;
  align-items: center;
  gap: 16px;
}
.nav-links a {
  text-decoration: none;
  color: #666;
}
.nav-links a:hover {
  color: #222;
}

/* HERO */
.hero-text {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  width: 100%;
}

.hero-image {
  position: relative;
  width: 100%;
  display: flex;
}

.hero-image img:first-child {
  width: 100%;
  border-radius: 4px;
}

.hero-logo {
  position: absolute;
  right: -8px;
  bottom: -8px;
  width: 50px;
}

/* CLIENTS */
.client-logos {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 24px;
  width: 100%;
}

.client-logos img {
  width: 100%;
  max-width: 160px;
  height: auto;
}

/* SERVICES */
.services-text {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
}

.service-icon {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-size: 0;
}

.service-icon svg {
  width: 64px;
  height: 64px;
}

.service-icon.blue {
  color: #3545ee;
}
.service-icon.orange {
  color: #ff6700;
}
.service-icon.green {
  color: #32cd32;
}

.services-service-icon {
  justify-content: unset;
}

.services-service-icon svg {
  width: 32px;
  height: 32px;
}

/* ABOUT */
.about-profile {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
}

.about-profile img {
  width: 100%;
  max-width: 280px;
  border-radius: 4px;
}

.about-text {
  display: flex;
  flex-direction: column;
  gap: 16px;
  max-width: 500px;
}

/* FOOTER */
.footer-links {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.footer-links a {
  text-decoration: none;
  color: #666;
}
.footer-links a:hover {
  color: #222;
}

.services-hero {
  flex-direction: column;
}

.services-hero-text {
  align-items: center;
}

.services-hero-text h1::after {
  margin-left: auto;
  margin-right: auto;
}

@media (min-width: 768px) {
  .footer-links .desktop-right {
    text-align: right;
  }

  .hero-section,
  .services-section,
  .about-section,
  .client-section,
  .contact-section {
    padding: 64px 16px;
  }

  .services-ul-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .hero-section {
    flex-wrap: unset;
  }

  .services-hero-section {
    flex-direction: row-reverse;
  }

  .services-ul {
    width: 100%;
    flex-direction: row;
  }

  .services-li {
    flex: 1;
    max-width: 33.3333%;
    padding: 16px 0px;
  }

  .hero-text {
    flex: 1;
    max-width: 41.6667%;
  }

  .hero-image {
    flex: 1;
    max-width: 58.3333%;
  }

  .services-hero-image {
    max-width: 80%;
  }
}

@media (min-width: 1000px) {
  .services-ul-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

.services-services-li,
.services-services-ul {
  align-items: unset;
}

.footer-social {
  display: flex;
}

.footer-social svg {
  width: 32px;
  height: 32px;
  color: #666;
}

.footer-social:hover svg {
  color: #222;
}

.services-heading {
  font-size: 1.25rem;
}

.services-heading::after {
  display: none;
}
